function varargout = vect(varargin)
%VECT Reshape its argument(s) to column-vector(s)
%
% [a1, a2, ...] = vect(a1, a2, ...)
%
%  This functions accepts multiple inputs. Each one of these input may be a
%  matrix (or a numerical array of higher dimension). There will be are as 
%  many output arguments as there was in input arguments. The i-th output 
%  array is the column-vectorization of the i-th input array.
%
% 2011/05/19, Florent Brunet

% This file is part of MISC.
%
% MISC is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% MISC is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with MISC.  If not, see <http://www.gnu.org/licenses/>.

for ii = 1:nargin
    tmp = varargin{ii};
    varargout{ii} = tmp(:);
end
